=== test/memory/Makefile ===
BIN=memory vector
SHELL := /bin/bash

CFLAGS=

top_src_dir=$(PWD)/../../
cur_dir=$(PWD)

all: $(BIN)

vector: vector.cxx
	$(CXX) -o vector vector.cxx

test: all
	./run.sh

clean:
	rm -f $(BIN)
