=== debian/tests/control ===
Depends: build-essential, eztrace, otf2-tools
Test-Command: cd test/compiler_instrumentation ; make clean ; verbose=1 ./run.sh
Restrictions: allow-stderr

Depends: build-essential, eztrace, otf2-tools, gawk
Test-Command: cd test/memory ; make clean ; verbose=1 ./run.sh
Restrictions: allow-stderr

Depends: build-essential, eztrace, otf2-tools, mpich, libmpich-dev, gawk
Test-Command: cd test/mpi ; make clean ; MPICC_PATH=mpicc.mpich MPIRUN_PATH=mpirun.mpich MPI_MODULE_NAME=mpich verbose=1 ./run.sh
Restrictions: allow-stderr

Depends: build-essential, eztrace, otf2-tools, openmpi-bin, libopenmpi-dev, gawk
Test-Command: cd test/mpi ; make clean ; MPIRUN_CLI_OPTION=--oversubscribe MPICC_PATH=mpicc.openmpi MPIRUN_PATH=mpirun.openmpi MPI_MODULE_NAME=openmpi verbose=1 ./run.sh
Restrictions: skip-not-installable, allow-stderr

Depends: build-essential, eztrace, otf2-tools, clang, libomp-dev, gawk
Test-Command: cd test/ompt ; make clean ; verbose=1 ./run.sh
Architecture: amd64 arm64 i386 ppc64el riscv64
Restrictions: allow-stderr

Depends: build-essential, eztrace, otf2-tools, libpomp2-dev, bc, gawk
Test-Command: cd test/openmp ; make clean ; verbose=1 ./run.sh
Restrictions: allow-stderr

Depends: build-essential, eztrace, otf2-tools, bc
Test-Command: cd test/posixio ; make clean ; verbose=1 ./run.sh
Restrictions: allow-stderr

Depends: build-essential, eztrace, otf2-tools
Test-Command: cd test/pthread ; make clean ; verbose=1 ./run.sh
Restrictions: allow-stderr

Depends: build-essential, eztrace, otf2-tools, pkg-config, libstarpu-dev, gawk
Test-Command: cd test/starpu ; make clean ; verbose=1 ./run.sh
Restrictions: allow-stderr
