=== src/modules/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,9 @@
 
 if (EZTRACE_ENABLE_STARPU)
   add_subdirectory(starpu)
+endif()
+if (EZTRACE_ENABLE_STARPU_API)
+  add_subdirectory(starpu_api)
 endif ()
 
 if (EZTRACE_ENABLE_OMPT)
