=== src/plugin_creator/CMakeLists.txt ===
set (INSTALL_INPUTDIR ${CMAKE_INSTALL_FULL_DATADIR})
set (INSTALL_BINDIR ${CMAKE_INSTALL_FULL_BINDIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/eztrace_create_plugin.in 
  ${CMAKE_CURRENT_BINARY_DIR}/eztrace_create_plugin
  @ONLY)


list(APPEND SCRIPTS
  ${CMAKE_CURRENT_BINARY_DIR}/eztrace_create_plugin
  )


install(PROGRAMS ${SCRIPTS} DESTINATION ${CMAKE_INSTALL_BINDIR})
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/eztrace DESTINATION ${CMAKE_INSTALL_DATADIR})
