=== test/openmp/Makefile ===
EZTRACE_CC_PATH ?= eztrace_cc
CC=$(EZTRACE_CC_PATH) cc
CXX=$(EZTRACE_CC_PATH) g++
CFLAGS=-fopenmp
LDFLAGS=-fopenmp -lm

BIN=openmp_nowait_c openmp_simple openmp_cpp parallel test_lock test_nest_lock test_task

all: $(BIN)

%: %.c
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)
%: %.cpp
	$(CXX) -o $@ $^ $(CFLAGS) $(LDFLAGS)

test: $(BIN)
	./run.sh
clean:
	rm -f $(BIN)
