=== test/pthread/Makefile ===
CFLAGS=
LDFLAGS=-pthread

BIN=cond  dummy_thread  race_cond  test_pthread  test_sigsegv

all: $(BIN)

%: %.c
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)

test: $(BIN)
	./run.sh
clean:
	rm -f $(BIN)
