=== test/static/Makefile ===
CC=cc
BIN=static libeztrace-staticlib.so

all: $(BIN)

libeztrace-staticlib.so: staticlib.c
	$(CC) -fPIC -shared -o libeztrace-staticlib.so staticlib.c $(CFLAGS) $(LDFLAGS)

test: all
	./run.sh

clean:
	rm -f $(BIN)
