=== test/unit_tests/CMakeLists.txt ===
--- 
+++ 
@@ -50,5 +50,6 @@
 set_property(TEST ${test_list}
   PROPERTY ENVIRONMENT
   "EZTRACE_LIBRARY_PATH=${EZTRACE_LIBRARY_PATH}"
+  ${TEST_ENVIRONMENT}
 )
