=== src/modules/cuda/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,6 @@
 add_library(eztrace-cuda SHARED)
 
 target_sources(eztrace-cuda PRIVATE
-  #  src/cuda_cupti.cpp
   cuda.c
   cuda_runtime.c
   cuda_driver.c
@@ -38,6 +37,7 @@
   ${CUDA_INCLUDE_DIRS}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_SOURCE_DIR}/src/core/include/eztrace-core/
+  ${CUDAToolkit_CUPTI_INCLUDE_DIR}
   )
 
 #set_target_properties(eztrace-cuda PROPERTIES
