=== debian/changelog ===
eztrace (2.1.1-5ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ignore test failures with mpich. See Debian #1066735.
    - Ignore test failures with openmpi on amd64, arm64, ppc64el.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 17 Jan 2025 20:41:16 +0000

eztrace (2.1.1-5) unstable; urgency=medium

  * watch: Use api to get tags.
    - Add more runpath lintian override.
  * control, rules: Enable ompt on riscv64 and loong64.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jan 2025 02:28:03 +0100

eztrace (2.1.1-4ubuntu1) plucky; urgency=medium

  * Merge back old delta lost during sync. Remaining changes:
    - Ignore test failures with mpich. See Debian #1066735.
    - Ignore test failures with openmpi on amd64, arm64, ppc64el.
  * New changes:
    - Ignore failure of new tests.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Dec 2024 10:15:48 +0000

eztrace (2.1.1-4build1) plucky; urgency=medium

  * No-change rebuild for libopenmpi40

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Dec 2024 11:57:58 +0000

eztrace (2.1.1-4) unstable; urgency=medium

  * tests/control: Also disable ompt tests on i386 and riscv64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 19:41:06 +0100

eztrace (2.1.1-3) unstable; urgency=medium

  * control, rules: Disable ompt on armhf.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 10:30:33 +0100

eztrace (2.1.1-2) unstable; urgency=medium

  * control, rules: Disable ompt on i386 and riscv64, enable it on armhf.
  * rules: Avoid confusion between mpich and openmpi builds.
  * rules: Disable binding on the smoke test.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 03:14:44 +0100

eztrace (2.1.1-1) unstable; urgency=medium

  * New upstream release.
    - debian/patches/git-self-link: Upstreamed.
    - debian/patches/git-starpu-1.4: Upstreamed.
    - debian/patches/git-starpu-1.4-task_submit: Upstreamed.
    - debian/patches/git-eztrace_avail: Upstreamed.
    - debian/patches/git-starpu-install: Upstreamed.
    - debian/patches/implicit: Upstreamed.
  * debian/rules: Run all testsuites before reporting the failures
    (Closes: Bug#1067468)
  * debian/rules: Add mpi smoketest rules.
  * debian/control: Depend on pkgconf instead of pkg-config.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 02:21:32 +0100

eztrace (2.1-7ubuntu6) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 31 Jul 2024 10:47:10 -0700
