=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 12),
- pkg-config,
+ pkgconf,
  cmake,
  bc, gawk,
  gfortran,
  libiberty-dev, binutils-dev (>= 2.29~), zlib1g-dev,
  libotf2-trace-dev, otf2-tools,
  opari2, libpomp2-dev,
- clang [amd64 arm64 i386 ppc64el riscv64], libomp-dev [amd64 arm64 i386 ppc64el riscv64],
+ clang [amd64 arm64 ppc64el riscv64 loong64], libomp-dev [amd64 arm64 ppc64el riscv64 loong64],
  libstarpu-dev (>= 1.3~), libstarpu-dev (>= 1.4.1+dfsg-7) | libstarpu-dev (<< 1.4~),
  libnetcdf-dev, libpnetcdf-dev [amd64 arm64 mips64el ppc64el s390x alpha ia64 sparc64 kfreebsd-amd64 ppc64 riscv64],
  libpapi-dev [amd64 arm64 armel armhf i386 powerpc ppc64el mips64el ppc64 x32],
