=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Depends: build-essential, eztrace, otf2-tools, clang, libomp-dev, gawk
 Test-Command: cd test/ompt ; make clean ; verbose=1 ./run.sh
-Architecture: amd64 arm64 i386 ppc64el riscv64
+Architecture: amd64 arm64 ppc64el riscv64 loong64
 Restrictions: allow-stderr
 
 Depends: build-essential, eztrace, otf2-tools, libpomp2-dev, bc, gawk
